{% extends 'property_vacancy_management/building_unit/building_unit.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/property_contact_person/overview') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/property_contact_person/overview') }}
{% endblock %}

{% block buildingUnitHeaderContent %}
    <span class="text-primary fs-5 align-self-center">Objekt {{ buildingUnit.getName() }}</span>
    {% if is_granted('edit', buildingUnit) == true %}
        <a href="{{ path('property_vacancy_management_building_unit_property_contact_person_create', {'buildingUnitId': buildingUnit.getId()}) }}" class="mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center">
            <i class="material-icons me-3">add</i>
            <span class="mdc-button__label">Ansprechperson anlegen</span>
        </a>
    {% endif %}
{% endblock %}

{% block main %}
    <div class="container-fluid mt-4">
        <div class="mdc-card mb-4">
            <div class="accordion">
                <div class="accordion-item">
                    <h2 class="accordion-header">
                        <button class="accordion-button fs-5" type="button" data-coreui-toggle="collapse" data-coreui-target="#property_contact_person_content" aria-expanded="true" aria-controls="property_contact_person_content">
                            Liste der Ansprechpersonen
                        </button>
                    </h2>
                    <div id="property_contact_person_content" class="accordion-collapse collapse show">
                        <div class="d-flex flex-column">
                            {% include 'property_vacancy_management/component/property/property_contact_person_list_component.html.twig' with {
                                'idPrefix': 'building_unit_property_contact_person_overview_',
                                'listItems': buildingUnit.getPropertyContactPersons(),
                                'showActionButton': is_granted('view', buildingUnit),
                                'massOperation': false,
                                'pagination': false,
                                'sortable': false,
                                'routeName': 'property_vacancy_management_building_unit_property_contact_person_edit',
                                'parameters': {'buildingUnitId': buildingUnit.getId()}
                            } only %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
        {% if buildingUnit.getPropertyContactPersons()|length > 0 %}
            <div class="mdc-card mb-4">
                <div class="accordion">
                    <div class="accordion-item">
                        <h2 class="accordion-header">
                            <button class="accordion-button fs-5" type="button" data-coreui-toggle="collapse" data-coreui-target="#property_contact_person_occurrence_content" aria-expanded="true" aria-controls="property_contact_person_occurrence_content">
                                Vorgänge
                            </button>
                        </h2>
                        <div id="property_contact_person_occurrence_content" class="accordion-collapse collapse show">
                            <div class="d-flex flex-column">
                                {% if is_granted('edit', buildingUnit) == true %}
                                    <div class="p-3">
                                        <a href="{{ path('property_vacancy_management_building_unit_property_contact_person_occurrence_create', {'buildingUnitId': buildingUnit.getId()}) }}" class="mdc-button mdc-button--raised mdc-ripple-surface--accent">
                                            <i class="material-icons me-3">add</i>
                                            <span class="mdc-button__label">Vorgang eintragen</span>
                                        </a>
                                    </div>
                                {% endif %}
                                {% include 'person_management/component/occurrence/occurrence_list_component.html.twig' with {
                                    'idPrefix': 'occurrence_',
                                    'listItems': occurrences,
                                    'routeName': 'property_vacancy_management_building_unit_property_contact_person_occurrence_edit',
                                    'parameters': {'buildingUnitId': buildingUnit.getId()},
                                    'showActionButton': is_granted('ROLE_RESTRICTED_VIEWER') == false,
                                    'massOperation': false,
                                    'pagination': false,
                                    'sortable': false
                                } only %}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        {% endif %}
    </div>
{% endblock %}
